2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Get list of Devices

Prev Next
Get
/devices/

Operation is used to get a list of Devices. Available from product version 3.0.24.

Devices can be filtered by giving filtering parameters at HTTP querystring (see parameters).

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Query parameters
offset
integer

Offset to start returning results.

Minimum0
limit
integer

Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.

Minimum1
__any of the object fields__
string

Filters list by selected object field value. Supports structured queries via +__+ delimiter. Supports ending keywords via +__+ delimiter:

  • For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull
  • For numerics: gt, lt, gte, lte, isnull
  • For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby Examples: +++usage_state__txt__istartswith=in+++ , +++plan__state__txt__startswith=In+++ , +++creation_date__gte=2019-01-02T15:32:01+++, +++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++ Supports exclusive queries by field value using a not-operator preceeding the field lookup: Examples: +++not__type__txt__istartswith=Tie+++ , +++not__id=1390+++
orderby
string

Selects the object field to order the returned objects by. Can be used to sort in reverse order with '-' prefix. Can have several ordering rules separated by comma. Can be used only for object own fields and does not supports structured queries. Example: orderby=creator,-creation_date

Responses
200

A result response object.

{
  "comments": "",
  "connectorCount": 100,
  "createdBy": "user@keypro.fi",
  "createdTs": "2099-12-17T18:00:33Z",
  "id": 12345,
  "identification": "test111",
  "interface": "",
  "managementAddress": "testAddress",
  "managementAddress2": "testAddress2",
  "orderNo": "111",
  "owner": {
    "availability_end_ts": "2020-12-31",
    "availability_start_ts": "2020-01-01",
    "available": true,
    "groupname": "DEVICE_OWNER",
    "id": 222,
    "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/DEVICE_OWNER/",
    "logical_txt": "Keypro",
    "num_value": 10.1,
    "num_value2": 20.2,
    "num_value3": 30.3,
    "num_value4": 40.4,
    "txt": "ABC"
  },
  "parent": "http://keycom.example.com/api/v2/devices/158370/",
  "renter": {
    "availability_end_ts": "2020-12-31",
    "availability_start_ts": "2020-01-01",
    "available": true,
    "groupname": "DEVICE_OWNER",
    "id": 222,
    "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/DEVICE_OWNER/",
    "logical_txt": "Keypro",
    "num_value": 10.1,
    "num_value2": 20.2,
    "num_value3": 30.3,
    "num_value4": 40.4,
    "txt": "ABC"
  },
  "startPin": 1,
  "type": "http://keycom.example.com/api/v2/types/22461/",
  "updatedBy": "user@keypro.fi",
  "updatedTs": "2099-12-17T18:00:33Z",
  "usageState": {
    "availability_end_ts": "2020-12-31",
    "availability_start_ts": "2020-01-01",
    "available": true,
    "groupname": "TERMINAL_STATE",
    "id": 14630,
    "list_url": "http://keycom.example.com/api/v2/txt_constants/groupname/TERMINAL_STATE/",
    "logical_txt": "Käytössä",
    "num_value": 10.1,
    "num_value2": 20.2,
    "num_value3": 30.3,
    "num_value4": 40.4,
    "txt": "Käytössä"
  }
}
Expand All
object
Next
string (url)

Url to next page of Devices. Null if No next page exist

Prev
string (url)

Url to previous page of Devices. Null if No previous page exist

Results
Array of object (Device)

List of fetched Devices

object
comments
string

Remarks

connectorCount
integer

Connector count

createdBy
string

creator

createdTs
string (date-time)

Creation date and time

id
integer

Primary key

identification
string

Identification

installYear
integer (yyyy)

Installation year. Available from product version 2025.1.

interface
string

Interface

locationArea
string

Location area. Available from product version 3.6.

locationRack
string

Location rack. Available from product version 3.6.

locationRackRow
string

Location rack row. Available from product version 3.6.

locationSide
string

Location side. Available from product version 3.6.

locationSlot
string

Location slot. Available from product version 3.6.

locationSubSlot
string

Location sub slot. Available from product version 3.6.

locationSubrack
string

Location sub rack. Available from product version 3.6.

managementAddress
string

Management address

managementAddress2
string

Management address 2

orderNo
integer

Order number

owner
integer

Device owner

parent
integer

Parent terminal id

premise
integer

Telecom premises

renter
integer

Device renter

sourceSystem
integer

Source system id. Available from product version 3.4.

sourceSystemKey
integer

source system key. Available from product version 3.4.

startPin
integer

Start connector

type
integer

Terminal type

updatedBy
string

Last updater

updatedTs
string (date-time)

Last update date time

usageState
integer

Terminal state

Total
integer

Total number of Devices

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error